[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.Assign

Copies property values from the specified persistent object.

## Declaration

Source position: graphics.pp line 672

`public procedure TPen.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent object with values copied in the method.

## Description

Assign is an overridden method used to copy property values from the persistent object in Source to the current class instance.

Source is the TPersistent class instance with the property values copied in the method. If Source is a TPen instance, the properties introduced in TPen are copied into the current class instance. Otherwise, the inherited method is called.

## See also

TPersistent.Assign